<div align="center">
    <h1>Trajectopy Core - Library for Trajectory Evaluation in Python</h1>
    <a href="https://github.com/gereon-t/trajectopy-core/releases"><img src="https://img.shields.io/github/v/release/gereon-t/trajectopy-core?label=version" /></a>
    <a href="https://www.python.org/downloads/"><img src="https://img.shields.io/badge/python-3.8.2+-blue.svg" /></a>
    <a href="https://github.com/gereon-t/trajectopy-core/blob/main/LICENSE"><img src="https://img.shields.io/github/license/gereon-t/trajectopy-core" /></a>
    <a href="https://github.com/psf/black"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a>
    <br />
    <a href="https://github.com/gereon-t/trajectopy-core"><img src="https://img.shields.io/badge/Windows-0078D6?st&logo=windows&logoColor=white" /></a>
    <a href="https://github.com/gereon-t/trajectopy-core"><img src="https://img.shields.io/badge/Linux-FCC624?logo=linux&logoColor=black" /></a>
    <a href="https://github.com/gereon-t/trajectopy-core"><img src="https://img.shields.io/badge/mac%20os-000000?&logo=apple&logoColor=white" /></a>
   
</div>

This package contains the core implementation and internal functionality that powers Trajectopy.

## Purpose

The Trajectopy Core package is designed to house the low-level, internal mechanisms and utilities that provide the core capabilities of the project. It is **not intended for general use or direct interaction** in most cases.

For most users, the [Trajectopy-API](https://github.com/gereon-t/trajectopy-api) package is a better fit, which provides:

- A user-friendly interface to interact with the system.
- Simplified access to the core functionalities.
- Comprehensive documentation and examples for common use cases.

## When to Use the Core Package

You might find the Core Package useful if:
- You are contributing to the development of the project and need to modify or extend the internal logic.
- You have advanced use cases that require direct access to the low-level implementation.

## Installation

```console
pip install trajectopy-core
```